library verilog;
use verilog.vl_types.all;
entity Big3Gig is
    generic(
        XCOM_IDL        : integer := 0;
        XCOM_FRQ        : integer := 1;
        XCOM_UPL        : integer := 2;
        XCOM_COL        : integer := 3;
        XCOM_OPT        : integer := 4;
        SM_FRQ_IDL      : integer := 0;
        SM_FRQ_ST1      : integer := 1;
        SM_FRQ_ST2      : integer := 2;
        SM_FRQ_ST3      : integer := 3;
        SM_FRQ_ST4      : integer := 4;
        SM_COLL_IDL     : integer := 0;
        SM_COLL_ST1     : integer := 1;
        SM_COLL_ST2     : integer := 2;
        SM_COLL_ST3     : integer := 3;
        SM_COLL_ST4     : integer := 4;
        SM_UPL_IDL      : integer := 0;
        SM_UPL_ST1      : integer := 1;
        SM_UPL_ST2      : integer := 2;
        SM_UPL_ST3      : integer := 3;
        SM_UPL_ST4      : integer := 4
    );
    port(
        fpga_reset      : in     vl_logic;
        clk_osc         : in     vl_logic;
        rclk_o          : out    vl_logic;
        rclk_in_p       : in     vl_logic;
        adc_reset       : out    vl_logic;
        calibrate       : out    vl_logic;
        wensync         : in     vl_logic;
        ovrange         : in     vl_logic;
        ef              : in     vl_logic;
        ff              : in     vl_logic;
        ren             : out    vl_logic;
        wen             : out    vl_logic;
        drdy1           : in     vl_logic;
        drdy2           : in     vl_logic;
        da              : in     vl_logic_vector(7 downto 0);
        db              : in     vl_logic_vector(7 downto 0);
        sdata           : out    vl_logic;
        sclk            : out    vl_logic;
        ecm_fsr         : out    vl_logic;
        \calDlyScs_\    : out    vl_logic;
        cy_data_p       : inout  vl_logic_vector(15 downto 0);
        cy_req_p        : in     vl_logic;
        load_state_p    : in     vl_logic;
        state_p         : in     vl_logic_vector(3 downto 0);
        mstr_sdata_p    : in     vl_logic;
        mstr_sclk_p     : in     vl_logic;
        cy_valid_p      : out    vl_logic;
        read            : in     vl_logic;
        capture         : in     vl_logic;
        trig_in         : in     vl_logic;
        strobe_ip       : in     vl_logic;
        strobe_in       : in     vl_logic;
        dc_select       : out    vl_logic;
        pll_le          : out    vl_logic;
        ext_clk_sel     : out    vl_logic;
        nADC_1V9_en     : out    vl_logic;
        diff_sel        : out    vl_logic;
        test_p          : out    vl_logic_vector(4 downto 1);
        test_n          : out    vl_logic_vector(4 downto 1);
        dqa_p           : out    vl_logic_vector(7 downto 0);
        dqa_n           : out    vl_logic_vector(7 downto 0);
        dqb_p           : out    vl_logic_vector(7 downto 0);
        dqb_n           : out    vl_logic_vector(7 downto 0);
        fifo_full       : out    vl_logic;
        fifo_empty      : out    vl_logic;
        strobe_q_p      : out    vl_logic;
        strobe_q_n      : out    vl_logic;
        upload          : out    vl_logic;
        sample          : out    vl_logic;
        trig_o          : out    vl_logic;
        ovr_led         : out    vl_logic;
        idle            : out    vl_logic;
        power_down      : out    vl_logic;
        clk_active      : out    vl_logic
    );
end Big3Gig;
